<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    <h2>Objednávka</h2>
		<h:form id="Form">
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="Číslo objednávky"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.idObjednavky}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Datum objednávky"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.datumObjednani}" readonly="true"
							 validatorMessage="Datum objednávky musí být ve formátu dd-mm-yyyy"
							 requiredMessage="Datum objednávky je povinné">
				<f:convertDateTime pattern="dd-MM-yyyy"/>
				</h:outputText>
				
				
				<h:outputLabel rendered="true" value="Cena"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.getPrice(objednavkaBean.objednavka)} Kč" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Způsob platby"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.zpusobPlatby}">
				    <f:selectItem itemValue="na ucet" itemLabel="Převod na účet" />
				    <f:selectItem itemValue="hotovost" itemLabel="Hotově" />
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value="Způsob dodani"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.zpusobDodani}">
				    <f:selectItem itemValue="vlastni" itemLabel="Vlastní" />
				    <f:selectItem itemValue="dodavka" itemLabel="Dodavka" />
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value="Termín dodání"></h:outputLabel>
				<h:inputText value="#{objednavkaBean.objednavka.terminDodani}" required="true" id="calendar1"
							 validatorMessage="Datum dodání musí být ve formátu dd-mm-yyyy"
							 requiredMessage="Datum dodání je povinné">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy"/>
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Jméno zákazníka"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.zakaznik.jmeno}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Příjmení zákazníka"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.zakaznik.prijmeni}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Adresa" required="true"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.adresaDodani}" converter="omnifaces.SelectItemsConverter">
				    <f:selectItems value="#{objednavkaBean.zakaznik.adresy}" var="adresa" itemValue="#{adresa}" 
				    itemLabel="#{adresa.obec}, #{adresa.ulice}, #{adresa.cislo}" />
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value="Sestavoval"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.sestavoval.login}" readonly="true">
				</h:outputText>
				
				<h:outputLabel value="Dodával"></h:outputLabel>
				<h:selectOneMenu value="#{objednavkaBean.objednavka.dodal}" converter="omnifaces.SelectItemsConverter">
				    <f:selectItems value="#{objednavkaBean.zamBean.ridici}" var="ridic" itemValue="#{ridic}" 
				    itemLabel="#{ridic.login}" />
				</h:selectOneMenu>
				
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>	

			<h2>Složení</h2>
			<h:dataTable value="#{objednavkaBean.objednavka.produkty}"
			             var="sklada" styleClass="table">
				<h:column>
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{sklada.produkt.nazevProduktu}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Množství
					</f:facet>
					<h:outputText value="#{sklada.pocet}"></h:outputText>
				</h:column>	
				<h:column>
					<h:commandLink action="#{objednavkaBean.delProdukt(sklada)}">
						<!-- <h:outputText value="Smazat produkt"></h:outputText> -->
						<i class="fa fa-times fa-15x" aria-hidden="true" title="Smazat"></i>
					</h:commandLink>
				</h:column>				
			</h:dataTable>
			<div class="blok">
				<h:commandLink action="#{objednavkaBean.addProdukt}" styleClass="button">
					<h:outputText value="Přidat produkty"></h:outputText>
				</h:commandLink>	
				<h:commandLink action="#{objednavkaBean.actionSaveObj}" styleClass="button">
					<h:outputText value="Uložit změny"></h:outputText>
				</h:commandLink>
			</div>
		</h:form>
	</ui:define>
</ui:composition>
</html>
